import java.io.*;
import java.util.*;

public class cloud_pk_very_stupid implements Runnable {
	public static void main(String[] args) {
		new Thread(new cloud_pk_very_stupid()).start();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public void solve() throws IOException {
		int n = nextInt();
		int m = nextInt();
		int t = nextInt();
		int s = nextInt();
		int x = 0;
		int y = 0;
		int h = nextInt();
		int w = nextInt();
		int dx = nextInt();
		int dy = nextInt();
		boolean[][] a = new boolean[1000][1000];
		for (int i = 0; i < n; i++) {
			int tx = nextInt();
			int tw = nextInt();
			for (int d = 0; d < 1000; d++) {
				for (int dd = 0; dd < tw; dd++) {
						a[tx + dd][d] = true;
				}
			}
		}
		
		for (int i = 0; i < m; i++) {
			int tx = nextInt();
			int tw = nextInt();
			for (int d = 0; d < 1000; d++) {
				for (int dd = 0; dd < tw; dd++) {
						a[d][tx + dd] = true;
				}
			}
		}
		
		int square = 0;
		for (int tt = 0; tt < t; tt++) {
			for (int i = x; i < x + w; i++) {
				for (int j = y; j < y + h; j++) {
					if (a[i][j])
						square++;
				}
			}
			x += dx;
			y += dy;
		}
		out.println(square * s);
	}

	public void run() {
		try {
			br = new BufferedReader(new FileReader("cloud.in"));
			out = new PrintWriter("cloud.out");

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}